Create Branding Theme
Creates a new branding theme
Creates a new branding theme
Request
URI
POST
https://{api_host}/cloudapi/v1/brandingThemes
COPY
Request Body
BrandingTheme
of type(s)
application/json
Optional
Show optional properties
{
"name": "string"
}
{
"id": "urn:vcloud:entity:vmware:brandinguitheme:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"themeType": "string",
"isDefault": false,
"themeBase": "string",
"mainFlavor": "string",
"logoThumbprint": "string",
"version": "string",
"previewStyles": "string",
"entityState": "string",
"errorMessage": "string",
"contentDescriptor": {
"favIcon": "example.ico",
"logo": "example.png",
"background": "example.png",
"styles": "example.css",
"portalName": "VCF Automation",
"localizations": "example.json",
"customLinks": "example.json",
"idpLoginButtons": "idpLoginButtons.json"
}
}
Responses
201
Created
Returns
BrandingTheme
of type(s)
application/json;version=9.1.0
{
"id": "urn:vcloud:entity:vmware:brandinguitheme:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"themeType": "string",
"isDefault": false,
"themeBase": "string",
"mainFlavor": "string",
"logoThumbprint": "string",
"version": "string",
"previewStyles": "string",
"entityState": "string",
"errorMessage": "string",
"contentDescriptor": {
"favIcon": "example.ico",
"logo": "example.png",
"background": "example.png",
"styles": "example.css",
"portalName": "VCF Automation",
"localizations": "example.json",
"customLinks": "example.json",
"idpLoginButtons": "idpLoginButtons.json"
}
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/cloudapi/v1/brandingThemes
Availability
Added in 10.0.0.0-alpha
Branding Theme Operations
GET
Get Active Theme Main Flavor
GET
Get Active Theme
GET
Get Theme File
GET
Get Theme Flavor File
GET
Get Branding Themes
POST
Create Branding Theme
GET
Get Branding Theme
PUT
Update Branding Theme
DELETE
Delete Branding Theme
GET
Get Theme Zip
PUT
Upload Branding Resource
GET
Get Branding Themes Assignments
GET
Get Branding Theme Assignments
PUT
Set Theme Assignments
DELETE
Delete Branding Theme Assignment